Subject: Re: linux-next: manual merge of the thermal tree with the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 3 Jan 2019 09:19:55 +1100

Hi all,

On Mon, 17 Dec 2018 10:57:15 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the thermal tree got a conflict in:
> 
>   drivers/thermal/Kconfig
> 
> between commit:
> 
>   17815cc6622c ("treewide: surround Kconfig file paths with double quotes")
> 
> from the kbuild tree and commit:
> 
>   3e8c4d31f8ed ("drivers: thermal: Move various drivers for intel platforms into a subdir")
> 
> from the thermal tree.
> 
> I fixed it up (I used the thermal tree version of this file and added
> the following merge fix patch) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 17 Dec 2018 10:54:07 +1100
> Subject: [PATCH] drivers: thermal: fixup for Kconfig string parsing tightening up
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  drivers/thermal/intel/Kconfig | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/drivers/thermal/intel/Kconfig b/drivers/thermal/intel/Kconfig
> index 9c06d4ad7c97..2e013eeb4a1d 100644
> --- a/drivers/thermal/intel/Kconfig
> +++ b/drivers/thermal/intel/Kconfig
> @@ -55,7 +55,7 @@ config INTEL_QUARK_DTS_THERMAL
>  	  underlying BIOS/Firmware.
>  
>  menu "ACPI INT340X thermal drivers"
> -source drivers/thermal/intel/int340x_thermal/Kconfig
> +source "drivers/thermal/intel/int340x_thermal/Kconfig"
>  endmenu
>  
>  config INTEL_BXT_PMIC_THERMAL
> -- 
> 2.19.1

I am still applying that patch every day.  It could be applied directly
to the thermal tree as it does not depend on the kbuild tree change.

-- 
Cheers,
Stephen Rothwell